summaryrefslogtreecommitdiff
path: root/tests/pr204.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2002-01-19 08:36:14 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2002-01-19 08:36:14 +0000
commit798dc9801853e484de7a2df4ac4c310620c01403 (patch)
tree90b73f8b97a6a890dac3d921984bb5b245a9198a /tests/pr204.test
parent898dce9dd3c5524eaf5d618a6184f854eb757055 (diff)
downloadautomake-798dc9801853e484de7a2df4ac4c310620c01403.tar.gz
Fix for PR automake/204:
* tests/pr204.test: New file. * tests/Makefile.am (TESTS): Add it. * automake.in (handle_single_transform_list): Don't distribute sources derived from non-distributed sources.
Diffstat (limited to 'tests/pr204.test')
-rwxr-xr-xtests/pr204.test54
1 files changed, 54 insertions, 0 deletions
diff --git a/tests/pr204.test b/tests/pr204.test
new file mode 100755
index 000000000..394590ae0
--- /dev/null
+++ b/tests/pr204.test
@@ -0,0 +1,54 @@
+#! /bin/sh
+# For PR 204.
+# Sources derived from nodist_ sources should not be distributed.
+
+required=bison
+
+. $srcdir/defs || exit 1
+
+set -e
+
+cat > configure.in <<'EOF'
+AC_INIT(pr204, 0.1)
+AM_INIT_AUTOMAKE
+AC_PROG_CC
+AC_PROG_YACC
+AC_CONFIG_FILES(Makefile)
+AC_OUTPUT
+EOF
+
+# The PARSE2 intermediate variable is there to make
+# sure Automake match 'nodist_' against the right
+# variable name...
+cat > Makefile.am << 'EOF'
+EXTRA_PROGRAMS = foo
+PARSE2 = parse2.y
+nodist_foo_SOURCES = parse.y $(PARSE2)
+EOF
+
+cat > parse.y << 'END'
+%{
+int yylex () {return 0;}
+void yyerror (char *s) {}
+%}
+%%
+maude : 'm' 'a' 'u' 'd' 'e' {};
+END
+
+cp parse.y parse2.y
+
+# We are not checking Autoconf, so we pick $YACC for it.
+YACC="bison -y"
+export YACC
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+./configure
+$MAKE distdir
+test -f pr204-0.1/parse.c && exit 1
+test -f pr204-0.1/parse.y && exit 1
+test -f pr204-0.1/parse2.c && exit 1
+test -f pr204-0.1/parse2.y && exit 1
+# Make sure parse.c and parse2.c are still targets.
+make parse.c parse2.c